function GetUIElementData(type, id)
    if type == "Icon" then
        return {
            ["Order"] = id,
            ["Type"] = "Icon",
            ["Height"] = 32,
            ["Width"] = 32,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "MiddleCenter",
            ["Text"] = "",
            ["Font"] = "TrajanProBold16",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["Icon"] = 1090551617,
            ["AlwaysVisible"] = false,
            
            ["Effects"] = {
            },
            ["Highlight"] = false,
            ["HealthThreshold"] = {}, 
            ["Conjuction"] = true,
            ["Invisibility_Event"] = {},
            ["Visibilty_Event"] = {},
            ["Load_Visible"] = true,
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "TimerIcon" then
        return {
            ["Order"] = id,
            ["Type"] = "TimerIcon",
            ["Height"] = 32,
            ["Width"] = 32,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            
            ["OffsetBelow"] = 0,
            ["BorderSize"] = 0,
            ["GrayOut"] = false,
            ["HighlightWhileOff"] = false,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "MiddleCenter",
            ["ShowText"] = true,
            ["Font"] = "TrajanProBold16",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["Icon"] = 1090551617,
            ["AlwaysVisible"] = false,
            ["Clockwise"] = true,
            ["Visual_Timer"] = true,
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectRemoved"] = {},
            ["EffectAdded_Target"] = {},
            ["Highlight"] = false,
            ["Hide_While_Not_Active"] = false,
            ["Hide_While_Active"] = false,
            ["Visibility_Threshold"] = 9999,        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "TimerIcon2" then
        return {
            ["Order"] = id,
            ["Type"] = "TimerIcon2",
            ["Height"] = 32,
            ["Width"] = 32,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BorderSize"] = 0,
            ["Alignment"] = "Middle",
            ["Text_Alignment"] = "MiddleCenter",
            ["Timer_Alignment"] = "MiddleCenter",
            ["ShowText"] = true,
            ["Timer_Font"] = "TrajanProBold16",
            ["Timer_Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["Text_Font"] = "TrajanProBold16",
            ["Text_Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["Icon"] = 1090551617,
            ["AlwaysVisible"] = false,
            ["Increasing_Shadow"] = true,
            ["Shadow_timer"] = true,
            ["Triggers"] = {},
            ["Opacity"] = 1,
            --[[
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectRemoved"] = {},
            ["EffectAdded_Target"] = {},
            --]]
            ["Invisible_While_Timer_Active"] = false,
            ["Invisible_While_Timer_Inactive"] = false,
            ["Show_Duration"] = true,
            ["Text"] = "",
            ["Visibility_Threshold"] = 9999,        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "MoraleBar" then
        return {
            ["Order"] = id,
            ["Type"] = "MoraleBar",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            
            ["Height"] = 20,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["Disable_Player_Vitals"] = false,
            ["Smooth"] = false,
            ["Colours"] = { [1] = {[1] = 0.6, [2] = 0, [3] = 0.5, [4] = 0}, 
                            [2] = {[1] = 0.6, [2] = 0, [3] = 1, [4] = 0}, 
                            [3] = {[1] = 0.6, [2] = 0.7, [3] = 0, [4] = 1}},
            ["Alignment"] = "Middle",
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["TextAlignment"] = "MiddleRight",
            ["Highlight_On_Effect"] = {},
            ["Highlight_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "PetMoraleBar" then
        return {
            ["Order"] = id,
            ["Type"] = "PetMoraleBar",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Height"] = 20,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["Smooth"] = false,
            ["Colours"] = { [1] = {[1] = 0.6, [2] = 0, [3] = 0.5, [4] = 0}, 
                            [2] = {[1] = 0.6, [2] = 0, [3] = 1, [4] = 0}, 
                            [3] = {[1] = 0.6, [2] = 0.7, [3] = 0, [4] = 1}},
            ["Alignment"] = "Middle",
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["TextAlignment"] = "MiddleRight",
            ["Highlight_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "MoraleBar_Target" then
        return {
            ["Order"] = id,
            ["Type"] = "MoraleBar_Target",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            
            ["Height"] = 20,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["TextAlignment"] = "MiddleRight",
            ["Smooth"] = false,
            ["Colours"] = { [1] = {[1] = 0.6, [2] = 0, [3] = 0.5, [4] = 0}, 
                            [2] = {[1] = 0.6, [2] = 0, [3] = 1, [4] = 0}, 
                            [3] = {[1] = 0.6, [2] = 0.7, [3] = 0, [4] = 1}},
            ["Alignment"] = "Middle",
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "PowerBar" then
        return {
            ["Order"] = id,
            ["Type"] = "PowerBar",
            ["OffsetAbove"] = 0,
            
            ["OffsetBelow"] = 0,
            ["Height"] = 20,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["TextAlignment"] = "MiddleRight",
            ["Smooth"] = true,
            ["Alignment"] = "Middle",
            ["Colours"] = { [1] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
                            [2] = {[1] = 0.6, [2] = 0, [3] = 0, [4] = 1}},
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},      
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "PowerBar_Target" then
        return {
            ["Order"] = id,
            ["Type"] = "PowerBar_Target",
            ["OffsetAbove"] = 0,
            
            ["OffsetBelow"] = 0,
            ["Height"] = 20,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["TextAlignment"] = "MiddleRight",
            ["Smooth"] = false,
            ["Alignment"] = "Middle",
            ["Colours"] = { [1] = {[1] = 1, [2] = 0, [3] = 0, [4] = 1}, 
                            [2] = {[1] = 0.6, [2] = 0, [3] = 0, [4] = 1}},
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},      
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "WrathBar" then
        return {
            ["Order"] = id,
            ["Type"] = "WrathBar",
            
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Height"] = 20,
            ["Smooth"] = true,
            ["Text"] = "<current>/<total> (<percentage>%)",
            ["Alignment"] = "Middle",
            ["Colours"] = { [1] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
                            [2] = {[1] = 0.6, [2] = 1, [3] = 0, [4] = 0}},
            ["Intervals"] = 0,
            ["Interval_Colour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Width"] = 500,
            ["Font"] = "BookAntiquaBold19",
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},        
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "ResourceBar" then
        return {
            ["Order"] = id,
            ["Type"] = "ResourceBar",
            
            ["Height"] = 10,
            ["Width"] = 320,
            ["Scale"] = 1,
            ["Animate"] = false,
            ["Full_Border"] = true,
            ["ShowText"] = true,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["ForegroundColour"] = {
                [1] = {[1] = 0.8, [2] = 0, [3] = 0.4,  [4] = 0},
                [2] = {[1] = 0.8, [2] = 0, [3] = 0.4,  [4] = 0},
                [3] = {[1] = 0.8, [2] = 0, [3] = 0.4,  [4] = 0},
                [4] = {[1] = 0.8, [2] = 0.4, [3] = 0.4,  [4] = 0},
                [5] = {[1] = 0.8, [2] = 0.4, [3] = 0.4,  [4] = 0},
                [6] = {[1] = 0.8, [2] = 0.4, [3] = 0.4,  [4] = 0},
                [7] = {[1] = 0.8, [2] = 0.4, [3] = 0,  [4] = 0},
                [8] = {[1] = 0.8, [2] = 0.4, [3] = 0,  [4] = 0},
                [9] = {[1] = 0.8, [2] = 0.4, [3] = 0,  [4] = 0},
            },
            ["BackgroundColour"] = {
                [1] = {[1] = 0.8, [2] = 0, [3] =0.8,  [4] = 0},
                [2] = {[1] = 0.8, [2] = 0, [3] =0.8,  [4] = 0},
                [3] = {[1] = 0.8, [2] = 0, [3] =0.8,  [4] = 0},
                [4] = {[1] = 0.8, [2] =0.8, [3] =0.8,  [4] = 0},
                [5] = {[1] = 0.8, [2] =0.8, [3] =0.8,  [4] = 0},
                [6] = {[1] = 0.8, [2] =0.8, [3] =0.8,  [4] = 0},
                [7] = {[1] = 0.8, [2] =0.8, [3] = 0,  [4] = 0},
                [8] = {[1] = 0.8, [2] =0.8, [3] = 0,  [4] = 0},
                [9] = {[1] = 0.8, [2] =0.8, [3] = 0,  [4] = 0},
            },
            ["BoxOffset"] = 3,
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["Alignment"] = "Middle",
            ["RKLayout"] = false,
            ["RK_ForegroundColour_Heal"] = {[1] = 0.8, [2] = 0, [3] = 0.4,  [4] = 0},
            ["RK_ForegroundColour_DPS"] = {[1] = 0.8, [2] = 0.4, [3] = 0,  [4] = 0},
            ["RK_BackgroundColour_Heal"] = {[1] = 0.8, [2] = 0, [3] = 0.8,  [4] = 0},
            ["RK_BackgroundColour_DPS"] = {[1] = 0.8, [2] = 0.8, [3] = 0,  [4] = 0},
            ["BoxBackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},        
            ["X"] = 0,
            ["Y"] = 0,
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Font"] = "TrajanProBold24",
            ["Change_On_Full"] = false,
            ["Filled_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
        }
    elseif type == "ValueBar" then
        return {
            ["Order"] = id,
            ["Type"] = "ValueBar",
            ["EventTrigger"] = {},
            ["Height"] = 20,
            ["Width"] = 320,
            ["Visibility_Threshold"] = 9999,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["OffsetX"] = 0,
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["Vertical"] = false,
            ["StopAutoUpdate"] = false,
            ["Alignment"] = "Middle",
            ["BarAlignment"] = "Middle",
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["ForegroundColour"] = {[1] = 1, [2] = 152/288, [3] = 0,  [4] = 0},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {},    
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {

            },     
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "BuffBar" then
        return {
            ["Order"] = id,
            ["Type"] = "BuffBar",
            
            ["Height"] = 20,
            ["Width"] = 100,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "BottomCenter",
            ["StackTextAlignment"] = "TopCenter",
            ["Font_Timer"] = "FixedSys15",
            ["Font_Stack"] = "FixedSys15",
            ["Font_Stack_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Font_Timer_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["HighlightColour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["HighlightSize"] = 2,
            ["Effects"] = {
            },
            ["Skills"] = {
            },
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["EffectAdded"] = {},
            ["EffectAdded_Target"] = {},
            ["Reset_On_Retarget"] = true,
            --["AllTargetEffects"] = false,
            ["AllEffects"] = false,
            ["OnlyDebuffs"] = false,
            ["OnlyBuffs"] = false,
            ["AllHighlight"] = false,      
            ["X"] = 0,
            ["Y"] = 0,
            ["Offset"] = 0,
            ["BorderColour"] = {[1] = 1, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 1,
            ["Stack_X_Offset"] = 0,
            ["Stack_Y_Offset"] = 0,
            ["Duration_X_Offset"] = 0,
            ["Duration_Y_Offset"] = 0,
            ["Smooth_Sorting"] = false,
        }
    elseif type == "BuffBar_Target" then
        return {
            ["Order"] = id,
            ["Type"] = "BuffBar_Target",
            ["Height"] = 20,
            ["Width"] = 100,
            
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "BottomCenter",
            ["StackTextAlignment"] = "TopCenter",
            ["Font_Timer"] = "FixedSys15",
            ["Font_Stack"] = "FixedSys15",
            ["Font_Stack_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Font_Timer_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["AllEffects"] = false,
            ["OnlyDebuffs"] = false,
            ["OnlyBuffs"] = false,
            ["AllHighlight"] = false,
            ["Reset_On_Retarget"] = true,
            ["EffectAdded_Target"] = {},
            ["X"] = 0,
            ["Y"] = 0,
            ["Offset"] = 0,
        }
    elseif type == "Timer" then
        return {
            ["Order"] = id,
            ["Type"] = "Timer",
            ["Height"] = 40,
            ["EventTrigger"] = {},
            ["Width"] = 300,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BorderSize"] = 0,
            ["Alignment"] = "Left",
            ["Font"] = "TrajanProBold16",
            ["Duration_Font"] = "FixedSys15",
            ["Icon"] = 1090551617,
            ["Text"] = "",
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["BackgroundColour"] = {[1] = 0.9, [2] = 0, [3] = 0,  [4] = 0},
            ["ForegroundColour"] = {[1] = 1, [2] = 0.5, [3] = 0.5,  [4] = 0.5},
            ["AlwaysVisible"] = true,
            ["AllHighlight"] = false,
            ["Spark"] = true,
            ["EffectAdded"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {},    
            ["EffectRemoved"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["Effects"] = {},
            ["SayChat"] = {},
            ["DefeatEvent"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},      
            ["Action"] = {},
            ["X"] = 0,
            ["Y"] = 0,
            ["Unique"] = false,
        }
    elseif type == "TimerGroup" then
        return {
            ["Order"] = id,
            ["Type"] = "TimerGroup",
            ["Height"] = 40,
            ["Width"] = 300,
            ["EventTrigger"] = {},
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["Alignment"] = "Left",
            ["Icon"] = 1090551617,
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["Timer_BackgroundColour"] = {[1] = 0.6, [2] = 0, [3] = 0,  [4] = 0},
            ["Timer_ForegroundColour"] = {[1] = 1, [2] = 0.5, [3] = 0.5,  [4] = 0.5},
            ["AlwaysVisible"] = true,
            ["AllHighlight"] = false,
            ["Spark"] = false,
            ["EffectAdded"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectRemoved"] = {},
            ["EnemyHits"] = {},
            ["Effects"] = {},
            ["PlayerHits"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},        
            ["EffectAdded_Target"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            ["DefeatEvent"] = {},
            ["DNFApplied"] = {},
            ["DNFRemoved"] = {},
            ["Start_Keyword"] = {},
            ["End_Keyword"] = {},
            ["Reset_Keyword"] = {},
            ["Action"] = {},
            ["Reset_On_Fight_End"] = false,
            ["X"] = 0,
            ["Y"] = 0,
            ["Timer_Height"] = 20,
            ["Timer_Font"] = "TrajanProBold16",
            ["Duration_Font"] = "FixedSys15",
            ["Static_Timers"] = false,
            ["Timer_Offset"] = 3,
            ["Timer_Sorting"] = "High to Low (Remaining duration)",
            ["Timer_Stack_Direction"] = "Down",
            ["Target_HealthThreshold"] = {},
            ["Name_Filter_List"] = {},
            ["Use Name_Filter_List"] = false,
            ["Reset_On_Retarget"] = false,
            ["Opacity"] = 1,
            ["Timer_Header"] = false,
            ["Header_Text"] = "Header Text",
            ["Header_Only_When_Active"] = true,
            ["Header_Background_Colour"] = {[1] = 1, [2] = 0.75, [3] = 0.75,  [4] = 0.75},
            ["Use_Warning_Colour"] = false,
            ["Warning_Colour"] = {[1] = 1, [2] = 0.6, [3] = 0,  [4] = 0},
            ["Warning_Threshold"] = 7,

        }
    elseif type == "Circle Timer" then
        return {
            ["Order"] = id,
            ["Type"] = "Circle Timer",
            ["OffsetAbove"] = 0,
            ["EventTrigger"] = {},
            ["OffsetBelow"] = 0,
            ["BackgroundRingColour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["TimerRingColour"] = {[1] = 1, [2] = 0, [3] = 0.3,  [4] = 0},
            ["Alignment"] = "Middle",
            ["EffectAdded"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectRemoved"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},        
            ["EffectAdded_Target"] = {},         
            ["Action"] = {},
            ["X"] = 0,
            ["Y"] = 0,
            ["Text_Font"] = "TrajanProBold16",
            ["Timer_Font"] = "FixedSys15",
            ["Static_Timers"] = false,
            ["Target_HealthThreshold"] = {},
            ["Reset_On_Retarget"] = false,
            ["Clockwise"] = false,
            ["Show_Timer"] = true,
            ["Scale"] = 1,
        }
    elseif type == "Text" then
        return {
            ["Order"] = id,
            ["Type"] = "Text",
            ["Height"] = 32,
            ["Width"] = 300,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["Alignment"] = "Middle",
            ["Font"] = "TrajanProBold16",
            ["TextAlignment"] = "MiddleLeft",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Text"] = "Text",
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["AlwaysVisible"] = false,
            ["Effects"] = {
            },
            ["Conjuction"] = true,
            ["HealthThreshold"] = {},
            ["Instance_Only"] = false,
            ["Visible_On_Load"] = true,
            ["Visibilty_Event"] = {},
            ["Invisibility_Event"] = {},
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "Alert" then
        return {
            ["Order"] = id,
            ["Type"] = "Alert",
            ["EventTrigger"] = {},
            ["Height"] = 32,
            ["Width"] = 300,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "MiddleCenter",
            ["Font"] = "TrajanProBold24",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Outline_Colour"] = {[1] = 1, [2] = 0, [3] = 0,  [4] = 0},
            ["Text"] = "Text",
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["Duration_Font"] = "FixedSys15",
            ["Show_Duration"] = true,
            ["Decimal_Threshold"] = 2,
            ["DurationTextAlignment"] = "MiddleCenter",
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["CCBreak"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},     
            ["DNFApplied"] = {},
            ["DNFRemoved"] = {}, 
            ["Action"] = {},
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "AlertGroup" then
        return {
            ["Order"] = id,
            ["Type"] = "AlertGroup",
            ["Height"] = 100,
            ["Width"] = 400,
            ["AlertHeight"] = 32,
            ["EventTrigger"] = {},
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["AlertBorderSize"] = 0,
            ["ReverseFill"] = false,
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderSize"] = 0,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "MiddleLeft",
            ["Font"] = "TrajanProBold16",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["Outline_Colour"] = {[1] = 1, [2] = 0, [3] = 0,  [4] = 0},
            ["BorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["AlertBackgroundColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["AlertBorderColour"] = {[1] = 0, [2] = 0.08, [3] = 0.08,  [4] = 0.08},
            ["Duration_Font"] = "FixedSys15",
            ["Show_Duration"] = true,
            ["Decimal_Threshold"] = 2,
            ["DurationTextAlignment"] = "MiddleCenter",
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["CCBreak"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},    
            ["DNFApplied"] = {},
            ["DNFRemoved"] = {},
            ["Action"] = {},
            ["Start_Keyword"] = {},
            ["End_Keyword"] = {},
            ["Reset_Keyword"] = {},
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "Countdown" then
        return {
            ["Order"] = id,
            ["Type"] = "Countdown",
            ["Visibility_Threshold"] = 9999,
            ["EventTrigger"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["Skills"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Action"] = {},
            ["Width"] = 250,
            ["Height"] = 125,
            ["X"] = 0,
            ["Y"] = 0,
            ["Scale"] = 1,
            ["Font"] = "TrajanProBold36",
            ["FontColour"] = {[1] = 1, [2] = 0.95, [3] = 0.67, [4] = 0.04},
            ["ThresholdColour"] = {[1] = 1, [2] = 0.40, [3] = 0, [4] = 0},
            ["Threshold"] = 5,
        }
    elseif type == "Sound" then
        return {
            ["Order"] = id,
            ["Type"] = "Sound",
            ["EventTrigger"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
        }
    elseif type == "Note Event" then
        return {
            ["Order"] = id,
            ["Type"] = "Note Event",
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            ["EventTrigger"] = {},
            
        }
    elseif type == "Note Activation" then
        return {
            ["Order"] = id,
            ["Type"] = "Note Activation",
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            
        }
    elseif type == "Event Keyword" then
        return {
            ["Order"] = id,
            ["Type"] = "Event Keyword",
            ["Start_Keyword"] = {},
            ["End_Keyword"] = {},
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            ["Corruption"] = {},
            ["Quest Accepted"] = {},
            ["Quest or Deed Completed"] = {},
            ["New Deed"] = {},
            ["Quest or Deed Progress"] = {},
            ["Action"] = {},
        }
    elseif type == "SkillLabel" then
        return {
            ["Order"] = id,
            ["Type"] = "SkillLabel",
            ["EnemyHits"] = {},
            ["PlayerHits"] = {},
            ["SayChat"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["Highlight_On_Effect"] = {},
            ["Skills"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {}, 
            ["Height"] = 32,
            ["Width"] = 32,
            ["Scale"] = 1,
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["BorderSize"] = 0,
            ["Alignment"] = "Middle",
            ["TextAlignment"] = "MiddleCenter",
            ["Font"] = "TrajanProBold16",
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["Highlight_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["Highlight_Size"] = 3,
            ["Icon"] = 1090551617,
            ["Visibility_Threshold"] = 9999,     
            ["Opacity_While_Active"] = 1,
            ["Opacity_While_Not_Active"] = 1,
            ["AlwaysVisible"] = false,
            ["Clockwise"] = true,
            ["Visual_Timer"] = true,
            ["Highlight"] = false,
            ["Hide_While_Not_Active"] = false,
            ["Hide_While_Active"] = false,
            ["HighlightWhileOff"] = false,
            ["X"] = 0,
            ["Y"] = 0,
            
        }
    elseif type == "Skills" then
        return {
            ["Order"] = id,
            ["Type"] = "Skills",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Scale"] = 1,
            ["Highlight_On_Effect"] = {},
            ["Skills"] = {},
            ["Quickslots"] = {},
            ["Highlight_On_Event"] = {},
            ["Toggle_Visibility_On_Event"] = {},
            ["Highlight_When_Ready"] = {},
            ["Skill_Alignment"] = "Middle",
            ["X"] = 0,
            ["Y"] = 0,
            ["Height"] = 32,
            ["Width"] = 32,
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["BorderSize"] = 0,
            ["Offset"] = 1,
            ["Font"] = "FixedSys15",
            ["HighlightColour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["HighlightSize"] = 2,
            ["Highlight_On_Resource"] = {},
            ["Use_Priority_As_Index"] = false,
            ["Lock_Quickslot"] = true,
            
        }
    elseif type == "SkillBar" then
        return {
            ["Order"] = id,
            ["Type"] = "SkillBar",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Scale"] = 1,
            ["Slots"] = {},
            ["Event_List"] = {},
            ["Skill_Alignment"] = "Middle",
            ["X"] = 0,
            ["Y"] = 0,
            ["Height"] = 32,
            ["Width"] = 32,
            ["Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["BorderSize"] = 0,
            ["Offset"] = 1,
            ["Font"] = "FixedSys15",
            ["HighlightColour"] = {[1] = 1, [2] = 1, [3] = 1,  [4] = 1},
            ["HighlightSize"] = 2,
            ["Use_Priority_As_Index"] = false,
            ["Lock_Quickslot"] = true,
            
        }
    elseif type == "Ballad Bar" then
        return {
            ["Order"] = id,
            ["Type"] = "Ballad Bar",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Scale"] = 1,
            ["X"] = 0,
            ["Y"] = 0,
            ["Height"] = 20,
            ["Width"] = 300,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["BoxBackgroundColour"] = {[1] = 1, [2] = 0.125, [3] = 0.125, [4] = 0.125},
            ["DamageColour"] = {[1] = 1, [2] = 0.3, [3] = 0, [4] = 0},
            ["PowerColour"] = {[1] = 1, [2] = 0, [3] = 0, [4] = 0.3},
            ["HealColour"] = {[1] = 1, [2] = 0, [3] = 0.3, [4] = 0},
            ["BorderSize"] = 0,
            ["Offset"] = 1,
            ["Box Offset"] = 10,
            ["Alignment"] = "Middle",
            
        }
    elseif type == "Effect Listbox" then
        return {
            ["Order"] = id,
            ["Type"] = "Effect Listbox",
            ["OffsetAbove"] = 0,
            ["OffsetBelow"] = 0,
            ["Scale"] = 1,
            ["X"] = 0,
            ["Y"] = 0,
            ["Height"] = 100,
            ["Width"] = 300,
            ["BorderSize"] = 0,
            ["BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0},
            ["Spacing"] = 1,
            ["Listbox_Alignment"] = "Left",
            ["Effect_Duration_TextAlignment"] = "MiddleCenter",
            ["Effect_Duration_Font"] = "Verdana10",
            ["Effect_Stack_TextAlignment"] = "BottomCenter",
            ["Effect_Stack_Font"] = "Verdana10",
            ["Effect_BlackList"] = {},
            ["All_Buffs"] = true,
            ["All_Debuffs"] = false,
            ["Orientation"] = "Horizontal",
            ["Flipped_Layout"] = false,
            ["Reverse_Fill"] = false,
            ["Effect_Size"] = 24,
            ["Show_Duration"] = false,
            ["Visibility_Threshold"] = 99999,
            ["Show_Stack"] = false,
        }
    elseif type == "Counter" then
        return {
            ["Order"] = id,
            ["Type"] = "Counter",
            ["X"] = 0,
            ["Y"] = 0,
            ["Width"] = 200, 
            ["Height"] = 200,
            ["ItemHeight"] = 20,
            ["TextAlignment"] = "MiddleLeft", 
            ["Text_Font"] = "TrajanProBold16", 
            ["Text_Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1}, 
            ["Count_TextAlignment"] = "MiddleRight", 
            ["Alignment"] = "Middle",
            ["Count_Font"] = "FixedSys15", 
            ["Count_Font_Colour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1}, 
            ["Item_BorderSize"] = 1, 
            ["Item_BorderColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Item_BackgroundColour"] = {[1] = 0, [2] = 0, [3] = 0, [4] = 0}, 
            ["Text_Width"] = 180, 
            ["Count_Width"] = 196,
            ["BorderSize"] = 2,
            ["Scale"] = 1,
            ["Hide_While_Not_Active"] = true,
            ["Reset_On_Retarget"] = false,
            ["Start_Keyword"] = {},
            ["End_Keyword"] = {},
            ["Reset_Keyword"] = {},
            ["Counter_Event"] = {},
            ["Corruption"] = {},
            ["PlayerHits"] = {},
            ["Skills"] = {},
            ["EnemyHits"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["SayChat"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {},
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            ["CCBreak"] = {},
            ["EventTrigger"] = {},
            ["DefeatEvent"] = {},
            ["DNFApplied"] = {},
            ["DNFRemoved"] = {},
            ["Quest Accepted"] = {},
            ["Quest or Deed Completed"] = {},
            ["New Deed"] = {},
            ["Quest or Deed Progress"] = {},
            ["Effects"] = {},
        }
    elseif type == "Conditions" then
        return {
            ["Order"] = id,
            ["Type"] = "Conditions",
            ["X"] = 0,
            ["Y"] = 0,
            ["Width"] = 200, 
            ["Height"] = 200,
            ["Conjuction"] = true,
            ["FightPhase"] = {},
            ["Effects"] = {},
            ["Location"] = {},
            ["HealthThreshold"] = {},
            ["Resource"] = {},
            ["EffectAdded_Target"] = {},
            ["Target_HealthThreshold"] = {},
            ["Skill_Ready"] = {},
            ["EventTrigger"] = {},
            ["Reset_On_Retarget"] = false,
            ["Has_Target"] = false,
            ["Must_Be_In_Combat"] = false,
            ["Must_Be_Out_Of_Combat"] = false,
            ["Activation_Triggers"] = "",
            ["Deactivation_Triggers"] = "",
        }
    elseif type == "Figures" then
        return {
            ["Order"] = id,
            ["Type"] = "Figures",
            ["Alignment"] = "Middle",
            ["Colour"] = {[1] = 1, [2] = 0, [3] = 0, [4] = 0}, 
            ["X"] = 0,
            ["Y"] = 0,
            ["Use_Screen_Width"] = true,
            ["Use_Screen_Height"] = true,
            ["Use_Texture"] = false,
            ["Texture"] = "",
            ["Toggle_Type"] = "Flash",
            ["Width"] = 200, 
            ["Height"] = 200,
            ["Max_Duration"] = 1,
            ["Flash_Duration"] = 0.3,
            ["Max_Opacity"] = 0.6,
            ["Flash_Opacity"] = 0.2,
            ["Start_Keyword"] = {},
            ["End_Keyword"] = {},
            ["Reset_Keyword"] = {},
            ["Counter_Event"] = {},
            ["Corruption"] = {},
            ["PlayerHits"] = {},
            ["Skills"] = {},
            ["EnemyHits"] = {},
            ["EffectAdded"] = {},
            ["EffectRemoved"] = {},
            ["PartyChat"] = {},
            ["StandardChat"] = {},
            ["SayChat"] = {},
            ["HealthThreshold"] = {},
            ["EffectAdded_Group"] = {},
            ["EffectAdded_Target"] = {},
            ["Target_HealthThreshold"] = {},
            ["PlayerHeal"] = {},
            ["PlayerBenefit"] = {},
            ["FightStart"] = {},
            ["FightEnd"] = {},
            ["FightPhase"] = {},
            ["CCBreak"] = {},
            ["EventTrigger"] = {},
            ["DefeatEvent"] = {},
            ["DNFApplied"] = {},
            ["DNFRemoved"] = {},
            ["Quest Accepted"] = {},
            ["Quest or Deed Completed"] = {},
            ["New Deed"] = {},
            ["Quest or Deed Progress"] = {},
        }
    elseif type == "Code" then
        return {
            ["Order"] = id,
            ["Type"] = "Code",
            ["Code"] = "",
            ["Triggers"] = "",
            ["Width"] = 200, 
            ["Height"] = 200,
            ["X"] = 0,
            ["Y"] = 0,
        }
    elseif type == "Gambit Bar" then
        return {
            ["Order"] = id,
            ["Type"] = "Gambit Bar",
            ["Alignment"] = "Middle",
            ["X"] = 0,
            ["Y"] = 0,
            ["Width"] = 200,
            ["Height"] = 100,
            ["BoxBorderSize"] = 2,
            ["BorderSize"] = 2,
            ["Scale"] = 1,
            ["BoxBorderColour"] = {[1] = 1, [2] = 0, [3] = 0, [4] = 0},
            ["IconBackgroundColour"] = {[1] = 1, [2] = 0.25, [3] = 0.25, [4] = 0.25},
            ["BarBackgroundColour"] = {[1] = 1, [2] = 1, [3] = 1, [4] = 1},
            ["Offset"] = 3,
            ["HideWhenEmpty"] = false,
            ["UseBackground"] = false,
            ["Vertical"] = false,
            ["Reverse_Fill"] = false,
        }
    elseif type == "User Variables" then
        return {
            ["Order"] = id,
            ["Type"] = "User Variables",
            ["Variables"] = {},
        }
    end
end