--[[
	Achievement structure
		name
			description
			category
			conditions
			progress
			goal
			completiondate
			difficulty
			rewards? points
			characters
			icon

]]

--[[
	Difficulties
		Novice.
		Intermediate.
		Experienced.
		Master.
		Grandmaster.
]]

function GetAchievementInfo()
	return "vIvtVXXTzy02GyNgue)LccsDRO7hqW1Qsn1fTaTnjyxTQYcXYrXsOc(w5od3zP3zizi5SRhFmiiWN6bFoNm6HCw)euo5BlYpHG8li)c6Zl5WvRMi4wPdsA2H8LpVpVpVFW9h9S7yE7EzFAnxQ8CvMGPhX6PQhkDJEXa5OrYS6sFZj7Q8cBLixY9IJhiCzwPXl1kZV5r6Ag3kyEzXypBM0pM1ORTSC(SIwlTXNTf2wH22mCGG7h7(SD08YdBmI5xQ)UzWk3EFRSsSFzDHu528HCz(HADPBZDR4fc3MUj1LL39pUHVG3N26GvpExLZZzbZnA(p(4TFIryLc4a5ZFT2xoI78Bm)1pzpPJNpvO81wX8l)nl)OB(Bm)No)nFP5NV1yELboe5)(Xc2)Wke)(9fAtPa2F4EWwc78xZCqYFFCTZZeebHJ1x2WQQT5adQcMyQW2Ovc2SXAgqIk3XKQiTmJ3eijDThaSSeRhy8H0XzMF5x8rYYsN3k4tIityUXEABU0ITSMJnq6YKrin)Nb08Ej0uk4HJMGooch5ggPZDg4OhnIoRTIN18vIhXN88(L8SjSb6cYtFGEQmtaB)evrf3YYGN7yeBof4pyVgbR2Odo060VciyIsptX4yPkMOu6fmELwvascysAzQ6QHc7gSEm47QCcGl8S)gS)cqCR5V(83bXjIkOJRFPEwBCAWQNeI4etO1wIfUgqA1HWRZXhWKoMXk8EkAKngeDo8AJqXgHxgG7wclGrTJwQtZQDICMxhJnUkrzjlylHtTMNyofOZjK)c)QPsBfGbNFjWExkcPlF9NDmr6hXTLWDsq6VKcmGvGZ1(wsfqlEi37lfbqrpUT3luva)oY43ag)MTgFTRyENd41wTcU8wJ1oGNKsnDuR(ic7uqbUKFm3tulVvocgpsNPOT47pOK3iS0IUpLYMKsFr4jMy4WtfRGlDuo1gSdGMuvGCBi0MkCbyluIQgkItpKZTtucNlOhgg0jzL66CxB4FmcdGcZz5wjzGCOXj(aCF7cGc27sO9Mly3tUhpQwqeVk5ZFXrlQZKPROdZrIQiu826ktAhRhy5HnXfpMS1y4bSkeot56Z4wReS)Y5(SyUVlKKcwFOafaYxyOkIS6cweTU(942P0sde8bARvpJa9pbGEgjthjfLb3Pvd4e06d5nScoczqRA1vO0Hml4HmquMaSadLVaJryTblPZ4KBJ1S8X7chFhuo4lt6vYNjS9UNRELE7fvVoyvZ7gsqjPyOajxPXoGskwNoO0(f9cpgCUqSygVCc4woRu77KE95FWl2QuIcdZKp9PPO)dcFef11r8LbhvK5XFlPGZNwJxJkYsIuDtqDK1xIpdhjCm(W6CQJhoXJ3kUXD4vOdXdpa2tm)nm35v3vkGIJaUO(sZFZVBdZ1qfTcDO(0szPhVJfYUQuhKnjQMu7aCt1OwBmGt(bEmhPvzal8cY)aE7K)(sZ1gKs12vLXTk0Anrm35rj)BOa5fiRKcgRJ)GEk62S(zABzURJzBcII)PaqKRsc2oII23EHffFP5A3dBmk7tGNoJ7IZO5ub84flIShTq29rrZOgp4vywKsiua)GoUedeBQ4oLb7MEr57kQ3hgzHJkqHK3cl3z6M8(17BwP7qalkqcKo)p36wjgZC1EHoKNnyF2SPLBgf4meiyKGeHIaMJvLqOYJUNDIjRCYo68ZuN(Ulpacfg0EEjOdfIULHY(O)vjT61BZfCNoRc1x(jufDxRhgNhbGHo3nX5(hGMF9xTMhi6JhfWtu0)5FGzfulgU3hb9AhQGs23(a4CuaOINlI5FiTmlr08sAuOIyMzUgXkAEbPAsStg1rdL16qmVV5k95H5zcK6rGutza)7h1DCeAfDxDSPGsV4tL2tBcKbIkm0gJxGPIbZfgCG(GzsvoQO6oDxTDhkLHYZgr(sd6nr0vJX)kZBJubDclNMZKW)F6SPCHfFrhAG)vNql4bOb24MyXbsu(xtM25rmhgpTGl6bSYXhsXWc0LuDRuTIb9OITTfGZOkJIWexHarCcbCBcmqcDhJHc)mS5OjcmB4)wwh()O2lHGDc7jid)pV13IKrrihiDNGq2s2IAho6OiCeBi5OrdXaGH5a84OCN2CG7YeQCQJejcigtwHBbjqZSAh6RWlLtBhMbTK7oqinfWb1LJapSV0ZoO2ovon2PLiQpCVf3tWRvXb1dJAeBxPqdblLO2EDgkpqftgmyc5UPc3(77dw4CkbTyWGCDBJeB6Cmwmx2gNTA2kp)H70hdGujSPm3N2Z1wZiDZQZl8sjSAfiLlqCED2qC7hEjO)0kgwwhzu6Fwwh8BF16aG6OcGg940Umh2zkUu61VoXkfOUmXlXYeyQUfd02Hy(Ktc2jEvT1sbXv7bOUlUHdQIlOFwp8pPLr24TGnUs6sCxB5S(f3QmyQ7KG0m6Yhr80EBf7s3PKUuxhOD7Vnz17lkGGnP538S1qIVKBByNFPNULp(69F(HACxF6g)j1079dkRI5ntl68gBUtLVvmxjwhMQWeNekjZ(7NfTlVKlCLVR)mZvXWwtfnysA22QhtZ8Ki6FfDqHoHXgmsFBgNy5CRLYKFP56hXJRkK)f0UFyIsU6rb9ESjvg0K36))QxhHTTu1RxAUb1LKGfc0GtzZWn(ksI2B2Vo0dI6mrPBdrbPAsWaR0rPHSGBCF00sKpwuEoDJxiniEeYckHznx6U9OvquWHQIzamIocU3V)hRnUeb87oKC(ht31AgeeJXqbcBSCfb2yFDpBC94oGCLH9XaCznj96H9grb7WqsXQnKUItF9sRFAr5rYc40i7U2hP90x8qUyKubSJAqb2jy7ohjgt5x2JDqfnF0Es0DhxPFxhBBUtITThgnj5v)RqKi0pig6dkgYWTFRwnHYube4c2Rs6Gy1WITmQni(K(MyeXBUg25JXVuIMoASv(V)"
end

function GetAchievementCategoryInfo()
	return "DjvxUPrmqy1Bqd5hvLkv5(uEQNHkwGcrn0gXgbV6j7oSRt8A7o2liYXihHEe4iWHOhG8qpa5e0XgOq7tR2VXZmF)mVz699riu7N7UOBXpAbLjaMcuyNl6AAVx5LUp0vK3aATySYhGhrX1EXaWR0ReJHsuUjnHR8I(wljFPRPc1X(tWs3jdjybUcOsXaZd2vijDxMQjuEXdT(Gam2qnscxSH19SABljgcn40F2tRkEuSu90ts3PZavi2uOgcIkcrZNLBgAlJB7gvvDqU(UAUEQ0hLppzyMOIhdjN8fgY9RxZ4pmt7vdnoL1iFzes2u7yfAkLU3VVueKjLi24NUfTonkxhbMIbKaZ2FMbePyv7EB8Vmie0yd4drrE()pQTu01z)oJy7MS7sge0jLC3UTURgNaxCChdcb00Wwnx4SB4adlRr9XIAt8zFJBUEva)lp1wQuoPx0h(T708w9C2KVLn08wAHAblIxZ1ahphCtxNXwQYMc3dtFeys8KJ7gougb0cmQ4iwULi7s5Z3zPg0KSHo9b6rd69IRnfazaMtU3LdTK1KMR1JMdJ)5mnWjEFBflpE9LksT96s5lujV6e(eRbOJjL78zQqrT4Rkt1)G35GVUNhCyLbgCVFoJjVCdFBdLlyk3s40nj7FoFZRmxjxFTHV73FoFwUTbd18Eel5NlwYYOsEFMT1uSsM9DRZl)Zd"
end